import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaMockCheck = (params) => request('/api/taMockCheck', { params });

/*
 * 新增数据
 */
export const postTaMockCheck = (data) => request('/api/taMockCheck', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaMockCheckById = (id) => request(`/api/taMockCheck/${id}`);

/*
 * 更新数据
 */
export const putTaMockCheck = (id, data) => request(`/api/taMockCheck/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaMockCheck = (id) => request(`/api/taMockCheck/${id}`, { method: 'delete' });
